package com.supervision.contoller;

import com.supervision.dto.R;
import com.supervision.dto.robot.RobotTalkDTO;
import com.supervision.model.RobotTalkReq;
import com.supervision.service.IChatService;
import jakarta.servlet.http.HttpServletResponse;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
@Slf4j
@RestController
@RequestMapping("/chat")
@RequiredArgsConstructor
public class ChatController {

    private final IChatService chatService;

    @PostMapping("/talk")
    public R<RobotTalkDTO> talk(@RequestParam("file") MultipartFile multipartFile, @ModelAttribute RobotTalkReq robotTalkReq) {
        RobotTalkDTO talk = chatService.talk(multipartFile,robotTalkReq);
        return R.ok(talk);
    }

    @GetMapping("/talkList")
    public List talkList(String sessionId) {
        return new ArrayList();
    }

    @GetMapping("/getAudio")
    public void getAudio(HttpServletResponse response,
                         @RequestParam("audioId")String audioId) throws IOException {
         chatService.getAudio(response,audioId);
    }
}
